diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index 19b49be..ec2d580 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -26093,17 +26093,20 @@ Expression(R:OrderedSet): Exports == Implementation where
       x:% ** n:NonNegativeInteger ==
         n = 0 => 1$%
         n = 1 => x
-        simplifyPower(numerator x,n pretend Integer) / simplifyPower(denominator x,n pretend Integer)
+        simplifyPower(numerator x,n pretend Integer) / 
+           simplifyPower(denominator x,n pretend Integer)
 
       x:% ** n:Integer ==
         n = 0 => 1$%
         n = 1 => x
         n = -1 => 1/x
-        simplifyPower(numerator x,n) / simplifyPower(denominator x,n)
+        simplifyPower(numerator x,n) / 
+           simplifyPower(denominator x,n)
 
       x:% ** n:PositiveInteger == 
         n = 1 => x
-        simplifyPower(numerator x,n pretend Integer) / simplifyPower(denominator x,n pretend Integer)
+        simplifyPower(numerator x,n pretend Integer) / 
+           simplifyPower(denominator x,n pretend Integer)
 
       x:% < y:%        == x <$Rep y
       x:% = y:%        == x =$Rep y
@@ -26112,11 +26115,11 @@ Expression(R:OrderedSet): Exports == Implementation where
       coerce(p:MP):%   == coerce(p)$Rep
       reduce x         == reduc(x, algkernels kernels x)
       commonk(x, y)    == commonk0(algkernels kernels x, algkernels kernels y)
-      algkernels l     == select_!(has?(operator #1, ALGOP), l)
-      toprat f == ratDenom(f, algkernels kernels f)$AlgebraicManipulations(R, %)
+      algkernels l     == select_!(x +-> has?(operator x, ALGOP), l)
+      toprat f == ratDenom(f,algkernels kernels f)$AlgebraicManipulations(R, %)
 
       x:MP / y:MP ==
-        reduc(x /$Rep y,commonk0(algkernels variables x,algkernels variables y))
+       reduc(x /$Rep y,commonk0(algkernels variables x,algkernels variables y))
 
 -- since we use the reduction from FRAC SMP which asssumes that the
 -- variables are independent, we must remove algebraic from the denominators
@@ -26275,10 +26278,11 @@ Expression(R:OrderedSet): Exports == Implementation where
 
 
           coerce(x:AN):% == smp2expr(numer x) / smp2expr(denom x)
-          k2expr k       == map(#1::%, k)$ExpressionSpaceFunctions2(AN, %)
+          k2expr k       == map(x+->x::%, k)$ExpressionSpaceFunctions2(AN, %)
 
           smp2expr p ==
-            map(k2expr,#1::%,p)$PolynomialCategoryLifting(IndexedExponents KAN,
+            map(k2expr,x+->x::%,p)_
+              $PolynomialCategoryLifting(IndexedExponents KAN,
                    KAN, Integer, SparseMultivariatePolynomial(Integer, KAN), %)
 
           retractIfCan(x:%):Union(AN, "failed") ==
@@ -26423,11 +26427,13 @@ Expression(R:OrderedSet): Exports == Implementation where
           coerce(x:R):%  == (zero? x => 0; constantKernel(x)::%)
           retract(x:%):R == (zero? x => 0; retNotUnit x)
           coerce(x:%):OutputForm == coerce(x)$Rep
-          kereval(k, lk, lv) == match(lk, lv, k, map(eval(#1, lk, lv), #1))
+          kereval(k, lk, lv) == 
+           match(lk, lv, k, (x2:K):% +-> map(x1 +-> eval(x1, lk, lv), x2))
 
           subeval(k, lk, lv) ==
             match(lk, lv, k,
-              kernel(operator #1, [subst(a, lk, lv) for a in argument #1]))
+             (x:K):% +->
+               kernel(operator x, [subst(a, lk, lv) for a in argument x]))
 
           isPlus x ==
             empty?(l := terms x) or empty? rest l => "failed"
@@ -26483,11 +26489,13 @@ Expression(R:OrderedSet): Exports == Implementation where
             coerce(x:%):OutputForm               == coerce(x)$Rep
 
             eval(x:%, lk:List K, lv:List %) ==
-              match(lk, lv, x pretend K, map(eval(#1, lk, lv), #1))
+              match(lk, lv, x pretend K, 
+               (x1:K):% +-> map(x2 +-> eval(x2, lk, lv), x1))
 
             subst(x, lk, lv) ==
               match(lk, lv, x pretend K,
-                kernel(operator #1, [subst(a, lk, lv) for a in argument #1]))
+               (x1:K):% +-> 
+                 kernel(operator x1, [subst(a, lk, lv) for a in argument x1]))
 
             if R has ConvertibleTo InputForm then
               convert(x:%):InputForm == convert(x)$Rep
diff --git a/changelog b/changelog
index 02e8664..22adc20 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090511 tpd src/axiom-website/patches.html 20090511.02.tpd.patch
+20090511 tpd books/bookvol10.3 EXPR +-> conversion
 20090511 tpd src/axiom-website/patches.html 20090511.01.tpd.patch
 20090511 tpd books/bookvol10.2 FS +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.27.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f885cb0..4bc478f 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1216,5 +1216,7 @@ bookvol10.3 D01TRNS +-> conversion<br/>
 bookvol10.4 BOUNDZRO +-> conversion<br/>
 <a href="patches/20090511.01.tpd.patch">20090511.01.tpd.patch</a>
 bookvol10.2 FS +-> conversion<br/>
+<a href="patches/20090511.02.tpd.patch">20090511.02.tpd.patch</a>
+bookvol10.3 EXPR +-> conversion<br/>
  </body>
 </html>
